Bug 220617 - support more wikipedia locales
Summary: support more wikipedia locales
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Unclassified
Component: Context View/Wikipedia (show other bugs)
Version: 2.3-GIT
Platform: unspecified Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Amarok Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-12-30 00:45 UTC by Alexander Potashev
Modified: 2010-10-24 20:21 UTC (History)
4 users (show)

See Also:
Latest Commit:
Version Fixed In: 2.4


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Potashev 2009-12-30 00:45:36 UTC
Version:           2.2-GIT (using 4.3.85 (KDE 4.3.85 (KDE 4.4 Beta2)), Gentoo)
Compiler:          x86_64-pc-linux-gnu-gcc
OS:                Linux (x86_64) release 2.6.32

The combo box in the Wikipedia applet settings has only English, French and German. There is no way to set any other Wikipedia locale, but it's a bit strange.
Comment 1 Rick W. Chen 2010-05-28 05:25:29 UTC
Just to let you know I'm planning to do something about this for the next release.
Comment 2 Dotan Cohen 2010-06-17 16:43:45 UTC
In my opinion the Wikipedia configuration should support any arbitrary locale, not just preconfigured locales.

Additionally, it would be great if one could set multiple locales if information is not found. I have music in six languages, less than half of the artists in my collection is likely to be found in any particular wikipedia locale. Something like "he, en, ar, ro, ru, de" for searching the Hebrew wikipedia first, then if noting is found searching the English wikipedia, then Arabic, Romanian, Russian, and lastly German. The UI for this could be a simple text field.
Comment 3 Rick W. Chen 2010-10-24 07:05:45 UTC
commit d5b6260eb86f679c78754da8e34976651ea66be6
branch master
Merge: d5a209a 00a9397
Author: Rick W. Chen <stuffcorpse@archlinux.us>
Date:   Sun Oct 24 18:02:11 2010 +1300

    Merge branch 'cv-improvements'
    
    This merge includes several improvements and bug fixes to some context
    view applets. See ChangeLog for more details.
    
    BUG:187011
    BUG:249488
    BUG:215171
    BUG:220617
    CCBUG:231001

diff --cc ChangeLog
index 2455f73,9941683..7714f4a
--- a/ChangeLog
+++ b/ChangeLog
@@@ -5,9 -5,6 +5,13 @@@ Amarok ChangeLo
  
  VERSION 2.4-Beta 1
    FEATURES:
++    * Added support for all Wikipedia languages. (BR 220617)
++    * Added incremental search in the Wikipedia applet (press
++      '/' or global search key when in focus).
++    * Added "Favorite Venues" to the upcoming events applet.
 +    * Read MusicBrainz IDs of MP4 files during scanning.
 +    * Ability to hide and show the menu bar. Patch by 
 +      Valentyn Pavliuchenko <valentyn.pavliuchenko@gmail.com>.
      * Size of OSD font is now configurable. (BR 195186)
      * Musicbrainz-based mass tagging UI by Sergey Ivanov.
      * New easy to use table-based UI for Ampache server configuration. (BR 200703)
@@@ -20,9 -17,7 +24,20 @@@
        to music provided by a running local Playdar service.
  
    CHANGES:
 -    * Debugging mode (--debug) now also prints the current thread ID.
++    * Show a progress bar while loading pages in the Wikipedia applet.
++    * Added option to right-align "year" in the albums applet.
++    * Improved alignment of tracks in the albums applet.
++    * Scroll to the current album and make its tracks visible in the albums
++      applet. (BR 187011)
++    * Added ability to expand/collapse/drag disc items in the albums applet.
++      (BR 249488)
++    * Improved appearance of similar artist, upcoming events, and Wikipedia
++      applets.
++    * Improved presentation of suggested lyrics (currently only 3rd party
++      scripts use).
 +    * Use QTooltip for playlist tooltips
 +    * Changed playlist delegate margins and inline editor formating.
 +    * Add "Added This Hour" filter preset to the collection brower widget.
      * Bumped KDE dependency to version 4.4., and Qt dependency to 4.6.
      * Print message when a file can't be copied to a media player.
        Patch by Sergey Ivanov <123kash@gmail.com>. (BR 203820)
@@@ -31,6 -26,6 +46,8 @@@
        pressing SHIFT while clicking the action will bypass trash.
  
    BUGFIXES:
++    * Fixed Wikipedia applet header layout issues. (BR 215171)
++    * Fixed truncated heading in albums applet. (BR 231001)
      * Playlist sorting breadcrumb items have been untranslatable.
        Patch by Alexander Potashev <aspotashev@gmail.com>. (BR 189750)
      * Dynamic Playlist criteria were not being saved properly. (BR 243562)
Comment 4 Dotan Cohen 2010-10-24 20:21:34 UTC
Great, thanks!